/* la_mml.h */

/*
 * Copyright (c) 1991-1993  R. Nigel Horspool.
 * All rights reserved.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#define VERSION "2.KJT"

/* MCHECK is used to check the result of malloc; it may be redefined
   to generate an empty statement if you use a machine with no
   shortage of memory. */
#define MCHECK(p)	if (p == NULL) {			\
			    fprintf(stderr, "malloc failed\n");	\
			    OOPS(NULL); }

extern int numreports;
extern char *outputfilename;
extern BOOL unknowns;

extern void OOPS(char *msg);
extern void checkFile(char *printName);
extern void handle_environment(ENVPTR,TOKEN);
extern void skip_arg(void), match_grouping(TOKEN),
	match_one_unit(void), match_opt_arg(void), LN(void);


